org.apache.ode.bpel.pmapi

## Interface TProcessInfo

- All Superinterfaces:
    org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource
  All Known Implementing Classes:
    TProcessInfoImpl

      public interface TProcessInfo
      extends org.apache.xmlbeans.XmlObject

  An XML tProcessInfo(@http://www.apache.org/ode/pmapi/types/2006/08/02/). This is a complex type.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `TProcessInfo.Documents` An XML documents(@http://www.apache.org/ode/pmapi/types/2006/08/02/).
    `static class` | `TProcessInfo.Factory` A factory class with static methods for creating instances of this type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.apache.xmlbeans.SchemaType` | `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `TDefinitionInfo` | `addNewDefinitionInfo()` Appends and returns a new empty "definition-info" element
    `TDeploymentInfo` | `addNewDeploymentInfo()` Appends and returns a new empty "deployment-info" element
    `TProcessInfo.Documents` | `addNewDocuments()` Appends and returns a new empty "documents" element
    `TEndpointReferences` | `addNewEndpoints()` Appends and returns a new empty "endpoints" element
    `TInstanceSummary` | `addNewInstanceSummary()` Appends and returns a new empty "instance-summary" element
    `TProcessProperties` | `addNewProperties()` Appends and returns a new empty "properties" element
    `TDefinitionInfo` | `getDefinitionInfo()` Gets the "definition-info" element
    `TDeploymentInfo` | `getDeploymentInfo()` Gets the "deployment-info" element
    `TProcessInfo.Documents` | `getDocuments()` Gets the "documents" element
    `TEndpointReferences` | `getEndpoints()` Gets the "endpoints" element
    `TInstanceSummary` | `getInstanceSummary()` Gets the "instance-summary" element
    `java.lang.String` | `getPid()` Gets the "pid" element
    `TProcessProperties` | `getProperties()` Gets the "properties" element
    `TProcessStatus.Enum` | `getStatus()` Gets the "status" element
    `long` | `getVersion()` Gets the "version" element
    `boolean` | `isSetInstanceSummary()` True if has "instance-summary" element
    `void` | `setDefinitionInfo(TDefinitionInfo definitionInfo)` Sets the "definition-info" element
    `void` | `setDeploymentInfo(TDeploymentInfo deploymentInfo)` Sets the "deployment-info" element
    `void` | `setDocuments(TProcessInfo.Documents documents)` Sets the "documents" element
    `void` | `setEndpoints(TEndpointReferences endpoints)` Sets the "endpoints" element
    `void` | `setInstanceSummary(TInstanceSummary instanceSummary)` Sets the "instance-summary" element
    `void` | `setPid(java.lang.String pid)` Sets the "pid" element
    `void` | `setProperties(TProcessProperties properties)` Sets the "properties" element
    `void` | `setStatus(TProcessStatus.Enum status)` Sets the "status" element
    `void` | `setVersion(long version)` Sets the "version" element
    `void` | `unsetInstanceSummary()` Unsets the "instance-summary" element
    `org.apache.xmlbeans.XmlString` | `xgetPid()` Gets (as xml) the "pid" element
    `TProcessStatus` | `xgetStatus()` Gets (as xml) the "status" element
    `org.apache.xmlbeans.XmlLong` | `xgetVersion()` Gets (as xml) the "version" element
    `void` | `xsetPid(org.apache.xmlbeans.XmlString pid)` Sets (as xml) the "pid" element
    `void` | `xsetStatus(TProcessStatus status)` Sets (as xml) the "status" element
    `void` | `xsetVersion(org.apache.xmlbeans.XmlLong version)` Sets (as xml) the "version" element

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### type

          static final org.apache.xmlbeans.SchemaType type

  - ### Method Detail

    - #### getPid

          java.lang.String getPid()

      Gets the "pid" element

    - #### xgetPid

          org.apache.xmlbeans.XmlString xgetPid()

      Gets (as xml) the "pid" element

    - #### setPid

          void setPid(java.lang.String pid)

      Sets the "pid" element

    - #### xsetPid

          void xsetPid(org.apache.xmlbeans.XmlString pid)

      Sets (as xml) the "pid" element

    - #### getStatus

          TProcessStatus.Enum getStatus()

      Gets the "status" element

    - #### xgetStatus

          TProcessStatus xgetStatus()

      Gets (as xml) the "status" element

    - #### setStatus

          void setStatus(TProcessStatus.Enum status)

      Sets the "status" element

    - #### xsetStatus

          void xsetStatus(TProcessStatus status)

      Sets (as xml) the "status" element

    - #### getVersion

          long getVersion()

      Gets the "version" element

    - #### xgetVersion

          org.apache.xmlbeans.XmlLong xgetVersion()

      Gets (as xml) the "version" element

    - #### setVersion

          void setVersion(long version)

      Sets the "version" element

    - #### xsetVersion

          void xsetVersion(org.apache.xmlbeans.XmlLong version)

      Sets (as xml) the "version" element

    - #### getDefinitionInfo

          TDefinitionInfo getDefinitionInfo()

      Gets the "definition-info" element

    - #### setDefinitionInfo

          void setDefinitionInfo(TDefinitionInfo definitionInfo)

      Sets the "definition-info" element

    - #### addNewDefinitionInfo

          TDefinitionInfo addNewDefinitionInfo()

      Appends and returns a new empty "definition-info" element

    - #### getDeploymentInfo

          TDeploymentInfo getDeploymentInfo()

      Gets the "deployment-info" element

    - #### setDeploymentInfo

          void setDeploymentInfo(TDeploymentInfo deploymentInfo)

      Sets the "deployment-info" element

    - #### addNewDeploymentInfo

          TDeploymentInfo addNewDeploymentInfo()

      Appends and returns a new empty "deployment-info" element

    - #### getInstanceSummary

          TInstanceSummary getInstanceSummary()

      Gets the "instance-summary" element

    - #### isSetInstanceSummary

          boolean isSetInstanceSummary()

      True if has "instance-summary" element

    - #### setInstanceSummary

          void setInstanceSummary(TInstanceSummary instanceSummary)

      Sets the "instance-summary" element

    - #### addNewInstanceSummary

          TInstanceSummary addNewInstanceSummary()

      Appends and returns a new empty "instance-summary" element

    - #### unsetInstanceSummary

          void unsetInstanceSummary()

      Unsets the "instance-summary" element

    - #### getProperties

          TProcessProperties getProperties()

      Gets the "properties" element

    - #### setProperties

          void setProperties(TProcessProperties properties)

      Sets the "properties" element

    - #### addNewProperties

          TProcessProperties addNewProperties()

      Appends and returns a new empty "properties" element

    - #### getEndpoints

          TEndpointReferences getEndpoints()

      Gets the "endpoints" element

    - #### setEndpoints

          void setEndpoints(TEndpointReferences endpoints)

      Sets the "endpoints" element

    - #### addNewEndpoints

          TEndpointReferences addNewEndpoints()

      Appends and returns a new empty "endpoints" element

    - #### getDocuments

          TProcessInfo.Documents getDocuments()

      Gets the "documents" element

    - #### setDocuments

          void setDocuments(TProcessInfo.Documents documents)

      Sets the "documents" element

    - #### addNewDocuments

          TProcessInfo.Documents addNewDocuments()

      Appends and returns a new empty "documents" element